DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DcmXfer Class Reference

a class that allows for a lookup of Transfer Syntax properties and readable descriptions More...

## Public Member Functions
| DcmXfer (E_TransferSyntax xfer)
| constructor More...
| DcmXfer (const char *xferName_xferID)
| constructor. More...
| DcmXfer (const DcmXfer &newXfer)
| copy constructor More...
| ~DcmXfer ()
| destructor
DcmXfer & | operator= (const E_TransferSyntax xfer)
| assignment operator for transfer syntax enum More...
DcmXfer & | operator= (const DcmXfer &newXfer)
| copy assignment operator More...
OFBool | operator== (const E_TransferSyntax xfer) const
| comparison operator More...
OFBool | operator== (const DcmXfer &xfer) const
| comparison operator More...
OFBool | operator!= (const E_TransferSyntax xfer) const
| comparison operator More...
OFBool | operator!= (const DcmXfer &xfer) const
| comparison operator More...
OFBool | isValid () const
| check whether transfer syntax is valid, i.e. not unknown or uninitialized. More...
E_TransferSyntax | getXfer () const
| get transfer syntax enum for this transfer syntax More...
E_ByteOrder | getByteOrder () const
| get byte order for this transfer syntax More...
E_ByteOrder | getPixelDataByteOrder () const
| get pixel data byte order for this transfer syntax More...
const char * | getXferName () const
| get DCMTK-specific name for this transfer syntax More...
const char * | getXferKeyword () const
| get DICOM keyword for this transfer syntax More...
const char * | getXferID () const
| get identifier (UID) for this transfer syntax More...
OFBool | isLittleEndian () const
| check whether transfer syntax uses little endian byte order More...
OFBool | isBigEndian () const
| check whether transfer syntax uses big endian byte order More...
OFBool | isImplicitVR () const
| check whether transfer syntax uses implicit VR encoding More...
OFBool | isExplicitVR () const
| check whether transfer syntax uses explicit VR encoding More...
OFBool | usesNativeFormat () const
| check whether transfer syntax uses native format for pixel data More...
OFBool | usesEncapsulatedFormat () const
| check whether transfer syntax uses encapsulated format for pixel data More...
OFBool | usesReferencedPixelData () const
| check whether transfer syntax uses (0028,7FE0) Pixel Data Provider URL to reference pixel data More...
OFdeprecated OFBool | isEncapsulated () const
| check whether transfer syntax uses encapsulated format for pixel data (and whether the pixel data is compressed) More...
OFdeprecated OFBool | isNotEncapsulated () const
| check whether transfer syntax uses non-encapsulated format for pixel data More...
Uint32 | getJPEGProcess8Bit () const
| return 8-bit JPEG process ID for this transfer syntax. More...
Uint32 | getJPEGProcess12Bit () const
| return 12-bit JPEG process ID for this transfer syntax. More...
OFBool | isPixelDataUncompressed () const
| check whether transfer syntax uses uncompressed pixel data More...
OFBool | isPixelDataCompressed () const
| check whether transfer syntax uses compressed pixel data More...
OFBool | isPixelDataLossyCompressed () const
| check whether transfer syntax uses a lossy compression for pixel data More...
OFBool | isPixelDataLosslessCompressed () const
| check whether transfer syntax uses a lossless compression for pixel data More...
OFBool | isPixelDataFragmentable () const
| check whether transfer syntax allows the encapsulated pixel stream of encoded pixel data to be split into one or more fragments More...
OFBool | isStandard () const
| check whether transfer syntax is defined in the DICOM standard More...
OFBool | isRetired () const
| check whether transfer syntax has been retired from the DICOM standard More...
OFBool | isPrivate () const
| check whether transfer syntax is a private definition More...
E_StreamCompression | getStreamCompression () const
| get stream compression type for this transfer syntax More...
OFBool | isDatasetCompressed () const
| check whether transfer syntax compresses the entire dataset. More...
OFBool | isLosslessCompressed () const
| check whether transfer syntax uses any kind of lossless compression, either for the pixel data or the entire dataset More...
const char * | getMIMEType () const
| get DICOMweb MIME type for pixel data in this transfer syntax More...
const char * | getFilenameExtension () const
| get suggested filename extension to use when storing pixel data of this transfer syntax as bulk data for use with DICOMweb More...
Uint32 | sizeofTagHeader (DcmEVR evr) const
| get the number of bytes needed to describe the tag, length, VR and any reserved fields for this transfer syntax when encoding the specified VR. More...

## Private Attributes
const char * | xferID
| transfer syntax UID
const char * | xferName
| transfer syntax name
E_TransferSyntax | xferSyn
| transfer syntax enum
E_ByteOrder | byteOrder
| transfer syntax byte order
E_ByteOrder | pixelDataByteOrder
| transfer syntax byte order for pixel data
E_VRType | vrType
| transfer syntax VR encoding (implicit or explicit)
E_PixelDataEncoding | pixelDataEncoding
| transfer syntax encoding of pixel data (e.g. native, encapsulated, referenced)
E_PixelDataCompression | pixelDataCompression
| transfer syntax compression of pixel data (e.g. uncompressed, lossless, lossy)
OFBool | pixelDataFragmentable
| flag indicating whether this transfer syntax supports fragmentable pixel data
Uint32 | JPEGProcess8
| 8-bit lossy JPEG process ID for this transfer syntax, 0 if not applicable
Uint32 | JPEGProcess12
| 12-bit lossy JPEG process ID for this transfer syntax, 0 if not applicable
E_StreamCompression | streamCompression
| transfer syntax stream compression type (e.g. zlib)
E_XferValidity | xferValidity
| validity of the transfer syntax definition (e.g. standard, retired, private)
const char * | mimeType
| MIME type used for this transfer syntax in DICOMweb.
const char * | filenameExtension
| file name extension for storing bulk data in this transfer syntax

## Detailed Description

a class that allows for a lookup of Transfer Syntax properties and readable descriptions

## Constructor & Destructor Documentation

## ◆ DcmXfer() [1/3]

DcmXfer::DcmXfer | ( | E_TransferSyntax | xfer | ) |

constructor

Parameters

  xfer | transfer syntax enum

## ◆ DcmXfer() [2/3]

DcmXfer::DcmXfer | ( | const char * | xferName_xferID | ) |

constructor.

Performs a look-up based on the given transfer syntax name or identifier.

Parameters

  xferName_xferID | transfer syntax name or identifier (UID)

## ◆ DcmXfer() [3/3]

DcmXfer::DcmXfer | ( | const DcmXfer & | newXfer | ) |

copy constructor

Parameters

  newXfer | transfer syntax to be copied

## Member Function Documentation

## ◆ getByteOrder()

E_ByteOrder DcmXfer::getByteOrder | ( |  | ) | const
| inline

get byte order for this transfer syntax

Returns
  byte order for this transfer syntax

## ◆ getFilenameExtension()

const char* DcmXfer::getFilenameExtension | ( |  | ) | const
| inline

get suggested filename extension to use when storing pixel data of this transfer syntax as bulk data for use with DICOMweb

Returns
  suggested filename extension

## ◆ getJPEGProcess12Bit()

Uint32 DcmXfer::getJPEGProcess12Bit | ( |  | ) | const
| inline

return 12-bit JPEG process ID for this transfer syntax.

Lossy JPEG transfer syntaxes support two alternative JPEG encoding processes: 8 and 12 bits.

Returns
  12-bit JPEG process ID, or 0 for a non-JPEG transfer syntax

## ◆ getJPEGProcess8Bit()

Uint32 DcmXfer::getJPEGProcess8Bit | ( |  | ) | const
| inline

return 8-bit JPEG process ID for this transfer syntax.

Lossy JPEG transfer syntaxes support two alternative JPEG encoding processes: 8 and 12 bits.

Returns
  8-bit JPEG process ID, or 0 for a non-JPEG transfer syntax

## ◆ getMIMEType()

const char* DcmXfer::getMIMEType | ( |  | ) | const
| inline

get DICOMweb MIME type for pixel data in this transfer syntax

Returns
  DICOMweb MIME type for pixel data in this transfer syntax

## ◆ getPixelDataByteOrder()

E_ByteOrder DcmXfer::getPixelDataByteOrder | ( |  | ) | const
| inline

get pixel data byte order for this transfer syntax

Returns
  pixel data byte order for this transfer syntax

## ◆ getStreamCompression()

E_StreamCompression DcmXfer::getStreamCompression | ( |  | ) | const
| inline

get stream compression type for this transfer syntax

Returns
  stream compression type for this transfer syntax

## ◆ getXfer()

E_TransferSyntax DcmXfer::getXfer | ( |  | ) | const
| inline

get transfer syntax enum for this transfer syntax

Returns
  transfer syntax enum for this transfer syntax

Referenced by operator!=(), and operator==().

## ◆ getXferID()

const char* DcmXfer::getXferID | ( |  | ) | const
| inline

get identifier (UID) for this transfer syntax

Returns
  UID string for this transfer syntax, empty string if undefined

## ◆ getXferKeyword()

const char* DcmXfer::getXferKeyword | ( |  | ) | const

get DICOM keyword for this transfer syntax

Returns
  keyword string for this transfer syntax, empty string if undefined

## ◆ getXferName()

const char* DcmXfer::getXferName | ( |  | ) | const
| inline

get DCMTK-specific name for this transfer syntax

Returns
  name string for this transfer syntax, empty string if undefined

## ◆ isBigEndian()

OFBool DcmXfer::isBigEndian | ( |  | ) | const
| inline

check whether transfer syntax uses big endian byte order

Returns
  true if transfer syntax is big endian, false otherwise

References EBO_BigEndian.

## ◆ isDatasetCompressed()

OFBool DcmXfer::isDatasetCompressed | ( |  | ) | const
| inline

check whether transfer syntax compresses the entire dataset.

This does not mean that the stream compression is actually supported.

Returns
  true if transfer syntax compresses the dataset, false otherwise

References ESC_none.

## ◆ isEncapsulated()

OFdeprecated OFBool DcmXfer::isEncapsulated | ( |  | ) | const
| inline

check whether transfer syntax uses encapsulated format for pixel data (and whether the pixel data is compressed)

Deprecated:
  This method is deprecated and will be removed in the future.

Instead, please use usesEncapsulatedFormat() and/or isPixelDataCompressed().

Returns
  true if transfer syntax uses encapsulated format, false otherwise

## ◆ isExplicitVR()

OFBool DcmXfer::isExplicitVR | ( |  | ) | const
| inline

check whether transfer syntax uses explicit VR encoding

Returns
  true if transfer syntax is explicit VR, false otherwise

References EVT_Explicit.

## ◆ isImplicitVR()

OFBool DcmXfer::isImplicitVR | ( |  | ) | const
| inline

check whether transfer syntax uses implicit VR encoding

Returns
  true if transfer syntax is implicit VR, false otherwise

References EVT_Implicit.

## ◆ isLittleEndian()

OFBool DcmXfer::isLittleEndian | ( |  | ) | const
| inline

check whether transfer syntax uses little endian byte order

Returns
  true if transfer syntax is little endian, false otherwise

References EBO_LittleEndian.

## ◆ isLosslessCompressed()

OFBool DcmXfer::isLosslessCompressed | ( |  | ) | const
| inline

check whether transfer syntax uses any kind of lossless compression, either for the pixel data or the entire dataset

Returns
  true if transfer syntax uses any kind of lossless compression, false otherwise

## ◆ isNotEncapsulated()

OFdeprecated OFBool DcmXfer::isNotEncapsulated | ( |  | ) | const
| inline

check whether transfer syntax uses non-encapsulated format for pixel data

Deprecated:
  This method is deprecated and will be removed in the future.

Please use usesNativeFormat() or ! usesEncapsulatedFormat() instead. Also see usesReferencedPixelData().

Returns
  true if transfer syntax uses non-encapsulated format, false otherwise

## ◆ isPixelDataCompressed()

OFBool DcmXfer::isPixelDataCompressed | ( |  | ) | const
| inline

check whether transfer syntax uses compressed pixel data

Returns
  true if transfer syntax uses compressed pixel data, false otherwise

Referenced by DiDocument::isCompressed().

## ◆ isPixelDataFragmentable()

OFBool DcmXfer::isPixelDataFragmentable | ( |  | ) | const
| inline

check whether transfer syntax allows the encapsulated pixel stream of encoded pixel data to be split into one or more fragments

Returns
  true if transfer syntax supports fragmentable pixel data

## ◆ isPixelDataLosslessCompressed()

OFBool DcmXfer::isPixelDataLosslessCompressed | ( |  | ) | const
| inline

check whether transfer syntax uses a lossless compression for pixel data

Returns
  true if transfer syntax uses a lossless compression or no compression, false otherwise

References EPC_LosslessCompressed.

## ◆ isPixelDataLossyCompressed()

OFBool DcmXfer::isPixelDataLossyCompressed | ( |  | ) | const
| inline

check whether transfer syntax uses a lossy compression for pixel data

Returns
  true if transfer syntax uses a lossy compression, false otherwise

References EPC_LossyCompressed.

## ◆ isPixelDataUncompressed()

OFBool DcmXfer::isPixelDataUncompressed | ( |  | ) | const
| inline

check whether transfer syntax uses uncompressed pixel data

Returns
  true if transfer syntax uses uncompressed pixel data, false otherwise

References EPC_Uncompressed.

## ◆ isPrivate()

OFBool DcmXfer::isPrivate | ( |  | ) | const
| inline

check whether transfer syntax is a private definition

Returns
  true if transfer syntax is private, false otherwise

References EXV_Private.

## ◆ isRetired()

OFBool DcmXfer::isRetired | ( |  | ) | const
| inline

check whether transfer syntax has been retired from the DICOM standard

Returns
  true if transfer syntax is retired, false otherwise

References EXV_Retired.

## ◆ isStandard()

OFBool DcmXfer::isStandard | ( |  | ) | const
| inline

check whether transfer syntax is defined in the DICOM standard

Returns
  true if transfer syntax is standard, false otherwise

References EXV_Standard.

## ◆ isValid()

OFBool DcmXfer::isValid | ( |  | ) | const
| inline

check whether transfer syntax is valid, i.e. not unknown or uninitialized.

An unknown transfer syntax is usually the result of an unsuccessful look-up. An uninitialized transfer syntax is typically intended by the user (passing EXS_Unknown to the constructor of this class).

Returns
  true if transfer syntax is valid, false otherwise

References EXS_Unknown.

## ◆ operator!=() [1/2]

OFBool DcmXfer::operator!= | ( | const DcmXfer & | xfer | ) | const
| inline

comparison operator

Parameters

  xfer | transfer syntax to compare with

Returns
  true if not equal, false if equal

References getXfer().

## ◆ operator!=() [2/2]

OFBool DcmXfer::operator!= | ( | const E_TransferSyntax | xfer | ) | const
| inline

comparison operator

Parameters

  xfer | transfer syntax enum to compare with

Returns
  true if not equal, false if equal

## ◆ operator=() [1/2]

DcmXfer& DcmXfer::operator= | ( | const DcmXfer & | newXfer | ) |

copy assignment operator

Parameters

  newXfer | transfer syntax to be copied

Returns
  reference to this transfer syntax instance

## ◆ operator=() [2/2]

DcmXfer& DcmXfer::operator= | ( | const E_TransferSyntax | xfer | ) |

assignment operator for transfer syntax enum

Parameters

  xfer | transfer syntax enum

Returns
  reference to this transfer syntax instance

## ◆ operator==() [1/2]

OFBool DcmXfer::operator== | ( | const DcmXfer & | xfer | ) | const
| inline

comparison operator

Parameters

  xfer | transfer syntax to compare with

Returns
  true if equal, false if not equal

References getXfer().

## ◆ operator==() [2/2]

OFBool DcmXfer::operator== | ( | const E_TransferSyntax | xfer | ) | const
| inline

comparison operator

Parameters

  xfer | transfer syntax enum to compare with

Returns
  true if equal, false if not equal

## ◆ sizeofTagHeader()

Uint32 DcmXfer::sizeofTagHeader | ( | DcmEVR | evr | ) | const

get the number of bytes needed to describe the tag, length, VR and any reserved fields for this transfer syntax when encoding the specified VR.

Parameters

  evr | value representation to be encoded in this transfer syntax

Returns
  number of bytes needed

## ◆ usesEncapsulatedFormat()

OFBool DcmXfer::usesEncapsulatedFormat | ( |  | ) | const
| inline

check whether transfer syntax uses encapsulated format for pixel data

Returns
  true if transfer syntax uses encapsulated format, false otherwise

References EPE_Encapsulated.

## ◆ usesNativeFormat()

OFBool DcmXfer::usesNativeFormat | ( |  | ) | const
| inline

check whether transfer syntax uses native format for pixel data

Returns
  true if transfer syntax uses native format, false otherwise

References EPE_Native.

## ◆ usesReferencedPixelData()

OFBool DcmXfer::usesReferencedPixelData | ( |  | ) | const
| inline

check whether transfer syntax uses (0028,7FE0) Pixel Data Provider URL to reference pixel data

Returns
  true if transfer syntax uses URL reference to pixel data

References EPE_Referenced.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcxfer.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1